---
# Find test Type
# 2 types are possible: dockers or k8s_job
- name: Find Test type
  ansible.builtin.set_fact:
    test_type: docker
  when: onap_testing_test_name in onap_testing_docker_tests

- name: Find Test type
  ansible.builtin.set_fact:
    test_type: k8s_job
  when: onap_testing_test_name in onap_testing_k8s_job_tests

- name: Test Not Found
  ansible.builtin.fail:
    msg: "Test {{ onap_testing_test_name }} not supported.
          List of supported tests:
          {{ onap_testing_docker_tests }}
          {{ onap_testing_k8s_job_tests }}"
  when: test_type is not defined

# For docker based tests, ensure external requirements are met
- name: Install required external requirements
  ansible.builtin.import_role:
    name: orange.onap_testing.external_requirements
  when: onap_install_external_requirements

# execute test
- name: Execute test
  ansible.builtin.import_role:
    name: orange.onap_testing.run_xtesting_docker
  when: test_type == 'docker'

- name: Execute test
  ansible.builtin.import_role:
    name: orange.onap_testing.run_xtesting_k8s_job
  when: test_type == 'k8s_job'
